@type    : 'global';
@element : 'site';

@import (multiple) '../../theme.config';

.message {
  margin: 2rem 0;
}

.formField {
  margin: 0 0 1em 0;
  display: flex;
  width: 15em;

  @media only screen and (max-width: @mediumScreen) {
    width: 100%;
    font-size: 0.8em;
  }

  :global(.ui.input input) {
    padding: 0.1em 0.25em;
    cursor: text;
    background: #e8e8e8;
    border: 1px solid #eee;
    width: 100%;
    font-size: 1em;
    border-radius: 3px;

    &.invalid {
      outline: 2px solid #9f3a38 !important;
    }

    &:active, &:focus {
      outline: none;
      box-shadow: none;
    }

    &:active, &:focus {
      outline: 2px solid rgba(0, 0, 0, 0.3);
    }
  }
}
